XFcInetCommService class Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XFcInetCommService Class Reference

Used to inquiry and advertice game server/s. More...

Inheritance diagram for XFcInetCommService:

[legend]
Collaboration diagram for XFcInetCommService:

[legend]
List of all members.

## Public Member Functions

virtual XFCIMPORT | ~XFcInetCommService ()
| Virtual destructor.
virtual XFCIMPORT INT | inquiry (const XFcAdvertiser &aAdvertise, XFcDeviceDiscovery *, const XFcUUID *aUuid=NULL)
| Server advertise query.
virtual XFCIMPORT void | inquiryResult (XFcLinkedList< XFcAdvertiser * > &aAdverticePacket)
| Inquiry result.
virtual XFCIMPORT void | cancelInquiry ()
| Stops device inquiry.
virtual XFCIMPORT INT | advertise (const XFcAdvertiser &aAdvertiser, const XFcUUID *aUuid=NULL)
| Starts advertise service.
virtual XFCIMPORT INT | updateAdvertise (const XFcAdvertiser &aAdvertiser)
| Supports special features for e.g. bt comm service.
virtual XFCIMPORT void | cancelAdvertise ()
| Stops advertise service.

## Static Public Member Functions

XFCIMPORT XFcInetCommService * | create ()
| Static constructor.

## Protected Member Functions

| XFcInetCommService ()
| Protected constructor.
INT | init ()
| Initializes XFcInetCommService.

## Private Attributes

XFcDeviceDiscovery * | mDiscovery

## Detailed Description

Used to inquiry and advertice game server/s.

Creates broadcast socket and is able to advertice server on lan network.

:

## Constructor & Destructor Documentation

XFcInetCommService::XFcInetCommService | ( |  | ) | `[protected]`

| Protected constructor.

virtual XFCIMPORT XFcInetCommService::~XFcInetCommService | ( |  | ) | `[virtual]`

| Virtual destructor.

## Member Function Documentation

virtual XFCIMPORT INT XFcInetCommService::advertise | ( | const XFcAdvertiser & | aAdvertiser,
|  | const XFcUUID * | aUuid = NULL
| ) | `[virtual]`

Starts advertise service.

Parameters:

  aAdvertiser | advertiser packet.

Returns:
  1 if advertise starts succesfully, or 0 otherwise.

Reimplemented from XFcCommService.

virtual XFCIMPORT void XFcInetCommService::cancelAdvertise | ( |  | ) | `[virtual]`

| Stops advertise service. Reimplemented from XFcCommService.

virtual XFCIMPORT void XFcInetCommService::cancelInquiry | ( |  | ) | `[virtual]`

| Stops device inquiry. Reimplemented from XFcCommService.

XFCIMPORT XFcInetCommService* XFcInetCommService::create | ( |  | ) | `[static]`

| Static constructor.

INT XFcInetCommService::init | ( |  | ) | `[protected]`

Initializes XFcInetCommService.

Returns:
  1 if successful, or 0 otherwise.

virtual XFCIMPORT INT XFcInetCommService::inquiry | ( | const XFcAdvertiser & | aAdvertise,
|  | XFcDeviceDiscovery * | ,
|  | const XFcUUID * | aUuid = NULL
| ) | `[virtual]`

Server advertise query.

Parameters:

  aAdvertise | advertise inquiry callback interface.
  aDeviceDiscovery | device discovery interface.

Returns:
  1 if succesful, or XFCNET_ERROR if unsuccessful.

Reimplemented from XFcCommService.

virtual XFCIMPORT void XFcInetCommService::inquiryResult | ( | XFcLinkedList< XFcAdvertiser * > & | aAdverticePacket | ) | `[virtual]`

Inquiry result.

Parameters:

  advertice | packet from adverticer.

Reimplemented from XFcCommService.

virtual XFCIMPORT INT XFcInetCommService::updateAdvertise | ( | const XFcAdvertiser & | aAdvertiser | ) | `[virtual]`

| Supports special features for e.g. bt comm service. Reimplemented from XFcCommService.

## Member Data Documentation

XFcDeviceDiscovery* XFcInetCommService::mDiscovery`[private]`

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch